CLFS Book README
================

This document is meant to instruct the user on how to convert the book's XML 
source to other formats (e.g. HTML, PDF, PS and TXT).  First, if you have not 
already done so, please read the [`INSTALL.md`](INSTALL.md) file for instructions on how to install
the required software.  If you have already completed the steps outlined in the
[`INSTALL.md`](INSTALL.md) file, then continue reading for examples how to convert these files into
various other formats.

By default all books will be generated, to only generate the target your want
you can specify `ARCHS={target}` to create a particular book to any of the command
lines below. To get a list of targets use make help.

XML to XHTML:
-------------

```sh
make BASEDIR=/path/to/output/location
```

XML to single file XHTML (nochunks):
------------------------------------

```sh
make BASEDIR=/path/to/output/location nochunks
```

XML to TXT:
-----------

Follow the instructions for nochunks and then run:

```sh
lynx -dump /path/to/nochunks >/path/to/output
```

XML to PDF:
-----------

```sh
make BASEDIR=/path/to/output/location pdf
```
